-- ###################################################################
-- ## Module: @(#)01-orders_base.sql      2.0     Date: 06/01/2018
-- ## Author: Lester Knutsen  Email: lester@advancedatatools.com
-- ##         Advanced DataTools Corporation (c)
-- ###################################################################

-- Create base table - no partitioning
drop table if exists base_orders;
create table base_orders 
  (
    order_num serial not null ,
    order_date date,
    customer_num integer not null ,
    ship_instruct char(40),
    backlog char(1),
    po_num char(10),
    ship_date date,
    ship_weight decimal(8,2),
    ship_charge money(6,2),
    paid_date date
  );

-- Create and insert 14 months of Data
insert into base_orders
select 0 , "01/01/2017", customer_num, ship_instruct , backlog , po_num , ship_date , ship_weight , ship_charge , paid_date 
from stores_demo:orders;
insert into base_orders
select 0 , "02/01/2017", customer_num, ship_instruct , backlog , po_num , ship_date , ship_weight , ship_charge , paid_date 
from stores_demo:orders;
insert into base_orders
select 0 , "03/01/2017", customer_num, ship_instruct , backlog , po_num , ship_date , ship_weight , ship_charge , paid_date 
from stores_demo:orders;
insert into base_orders
select 0 , "04/01/2017", customer_num, ship_instruct , backlog , po_num , ship_date , ship_weight , ship_charge , paid_date 
from stores_demo:orders;
insert into base_orders
select 0 , "05/01/2017", customer_num, ship_instruct , backlog , po_num , ship_date , ship_weight , ship_charge , paid_date 
from stores_demo:orders;
insert into base_orders
select 0 , "06/01/2017", customer_num, ship_instruct , backlog , po_num , ship_date , ship_weight , ship_charge , paid_date 
from stores_demo:orders;
insert into base_orders
select 0 , "07/01/2017", customer_num, ship_instruct , backlog , po_num , ship_date , ship_weight , ship_charge , paid_date 
from stores_demo:orders;
insert into base_orders
select 0 , "08/01/2017", customer_num, ship_instruct , backlog , po_num , ship_date , ship_weight , ship_charge , paid_date 
from stores_demo:orders;
insert into base_orders
select 0 , "09/01/2017", customer_num, ship_instruct , backlog , po_num , ship_date , ship_weight , ship_charge , paid_date 
from stores_demo:orders;
insert into base_orders
select 0 , "10/01/2017", customer_num, ship_instruct , backlog , po_num , ship_date , ship_weight , ship_charge , paid_date 
from stores_demo:orders;
insert into base_orders
select 0 , "11/01/2017", customer_num, ship_instruct , backlog , po_num , ship_date , ship_weight , ship_charge , paid_date 
from stores_demo:orders;
insert into base_orders
select 0 , "12/01/2017", customer_num, ship_instruct , backlog , po_num , ship_date , ship_weight , ship_charge , paid_date 
from stores_demo:orders;
insert into base_orders
select 0 , "01/01/2018", customer_num, ship_instruct , backlog , po_num , ship_date , ship_weight , ship_charge , paid_date 
from stores_demo:orders;
insert into base_orders
select 0 , "02/01/2018", customer_num, ship_instruct , backlog , po_num , ship_date , ship_weight , ship_charge , paid_date 
from stores_demo:orders;

create unique index base_orders_pk on base_orders ( order_num );

alter table base_orders add constraint primary key ( order_num );

select count(*) from base_orders;
select year(order_date) year, month(order_date) month,  count(*) rec_count 
from base_orders
group by 1, 2
order by 1, 2;

select count(*) num_data_part
from sysfragments where tabid = (select tabid from systables where tabname = "base_orders")
and fragtype = "T";

select count(*) num_index_part
from sysfragments where tabid = (select tabid from systables where tabname = "base_orders")
and fragtype = "I";
