-- ###################################################################
-- ## Module: @(#)05-examplequery.sql      2.0     Date: 06/01/2018
-- ## Author: Lester Knutsen  Email: lester@advancedatatools.com
-- ##         Advanced DataTools Corporation (c)
-- ###################################################################

set explain on;

-- set PDQPRIORITY 1;

-- Read all Partitions
select year(order_date) year, month(order_date) month,  count(*) rec_count
from orders_interval
group by 1, 2
order by 1, 2;

-- Read one Partition
select year(order_date) year, month(order_date) month,  count(*) rec_count
from orders_interval
where year(order_date) = 2018
and month(order_date) = 2
group by 1, 2
order by 1, 2;

-- Read one Partition
select year(order_date) year, month(order_date) month,  count(*) rec_count
from orders_interval
where order_date between "01/01/2018" and "01/31/2018"
group by 1, 2
order by 1, 2;

-- Read One Record
select *
from orders_interval
where order_num = 300
order by 1, 2;

-- Read One Record
select *
from orders_interval
where order_num = 300
and order_date = "02/01/2018"
order by 1, 2;
