#############################################################################
## Module: @(#)setup.sh     2.0     Date: 01/01/2015
## Author: Lester Knutsen  Email: lester@advancedatatools.com
##         Advanced DataTools Corporation
#############################################################################

## Informix Environment Settings

INFORMIXDIR=/opt/informix
PATH=$INFORMIXDIR/bin:$PATH
INFORMIXSERVER=train1
ONCONFIG=onconfig.$INFORMIXSERVER

export INFORMIXDIR
export PATH
export INFORMIXSERVER
export ONCONFIG

INFORMIXCHUNKS=/informixchunks/train1
export INFORMIXCHUNKS

## Add dbspaces
touch $INFORMIXCHUNKS/datab4adbs
touch $INFORMIXCHUNKS/datab4bdbs
touch $INFORMIXCHUNKS/datab4cdbs
touch $INFORMIXCHUNKS/datab4ddbs
chmod 660 $INFORMIXCHUNKS/datab4adbs
chmod 660 $INFORMIXCHUNKS/datab4bdbs
chmod 660 $INFORMIXCHUNKS/datab4cdbs
chmod 660 $INFORMIXCHUNKS/datab4ddbs

onspaces -c -d datab4adbs -p $INFORMIXCHUNKS/datab4adbs -o 0 -s 20000000
onspaces -c -d datab4bdbs -p $INFORMIXCHUNKS/datab4bdbs -o 0 -s 20000000
onspaces -c -d datab4cdbs -p $INFORMIXCHUNKS/datab4cdbs -o 0 -s 20000000
onspaces -c -d datab4ddbs -p $INFORMIXCHUNKS/datab4ddbs -o 0 -s 20000000

## Do a fake backup
ontape -s

